﻿<?xml version="1.0" encoding="utf-8"?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	autoReload="true">

 <targets>
    <!-- write logs to file -->
    <!-- <target xsi:type="File" name="allfile" fileName="c:\temp\nlog-all-${shortdate}.log"
                 layout="${longdate}|${logger}|${uppercase:${level}}|${message} ${exception}" /> -->
   <!--<target xsi:type="Console" name="console" />-->
   <target xsi:type="Console" name="console"
           layout="${longdate}|${logger}|${uppercase:${level}}|${message} ${exception}" />

   <target xsi:type="Null" name="blackhole" />
 </targets>
 <rules>
    <!--All logs, including from Microsoft-->
    <logger name="*" minlevel="Trace" writeTo="console" />

    <!--Skip Microsoft logs and so log only own logs-->
    <!--<logger name="Microsoft.*" minlevel="Trace" writeTo="blackhole" final="true" />
    <logger name="*" minlevel="Trace" writeTo="ownFile" />-->
  </rules>

</nlog>
